
User Interface - Bug #2705

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

frame sizing using SIZE phrase is not honored

09/11/2015 02:32 PM - Greg Shah

Status: Closed Start date: 09/11/2015

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 09/11/2015 02:34 PM - Greg Shah

Refer to the ask-gui.p screenshots (4GL, P2J Web and P2J Swing) in #2701-2

The frame is no-box and side-labels.  This means it has no title/header and is only a single line long.  The size is defined by SIZE 105 by 1.

Notice how the 4GL version extends the white frame background past the right side of the fill-in but in P2J it doesn't extend out far enough.

Constantin notes this:

I think the FILL-IN is sized properly, the problem is with the Frame's width: the "SIZE 105 BY 1" should have precedence over the implicit frame's

dimension (determined at layout), but instead it ignores it.

#2 - 10/13/2015 02:41 PM - Greg Shah

Please also test/fix the code in issue 1 (frame fr1 layout issue) in #1801-76

#3 - 10/16/2015 01:43 PM - Constantin Asofiei

- Status changed from New to WIP

- Assignee set to Constantin Asofiei

The issue in note 1 is solved in #2704

#4 - 10/16/2015 02:14 PM - Constantin Asofiei

For issue in note 2: after changing frbtn.p to remove unsupported features in 1811s (default/cancel-button, alert-boxes), the

uast/frame_layout/frbtn_layout.p has these issues:

1. on "delayed" layout (on frame realization), dynamic widgets must not be included - solved

2. when top-labels are used, the row position of the dynamic widgets must start bellow the frame's top-label header (I think they are put in a

separate field-group...).

3. the row/column position of the top-labels is incorrect
https://proj.goldencode.com/issues/2701#note-2
#5 - 10/16/2015 03:34 PM - Constantin Asofiei

New issue: width for BUTTON widget with LABEL is not computed correct (it uses a text-length * font-width formula instead of label-length-in-pixels).

#6 - 10/16/2015 03:41 PM - Constantin Asofiei

From note 4, issues 1 and 2 are solved in 1811s rev 10983.   Also, some NPEs related to LABEL assignment before the dynamic widget is attached

to a frame are fixed.

#7 - 10/17/2015 08:41 AM - Constantin Asofiei

Eugenie, can you point me to the rules you found to compute the width of the BUTTON in GUI (with label, image, label+image)? This is because the

current formula is label-width * font-width, but this doesn't fit the usage in uast/frame_layout/frbtn_layout.p - the button width is incorrect.

#8 - 10/17/2015 09:38 AM - Constantin Asofiei

Eugenie, another issue about buttons: they should not be in "enabled" state by default.

#9 - 10/17/2015 10:07 AM - Constantin Asofiei

1811s rev 10985 completes dynamic widget layout started in 10983. Also, BUTTON default state is DISABLED.

The only issues remaining are these (in WIP order):

1. VIEW or DISPLAY widgets in frame fr2 doesn't work in GUI with uast/frame_layout/frbtn_layout.p.  Although in ChUI it works.

2. the row/column position of the top-labels is incorrect

3. BUTTON implicit/auto-resize size is incorrect - can Eugenie take this part of the #2742 ?

#10 - 10/17/2015 10:15 AM - Greg Shah

BUTTON implicit/auto-resize size is incorrect - can Eugenie take this part of the #2742 ?

 

Yes. Eugenie, please take this.

#11 - 10/17/2015 06:44 PM - Eugenie Lyzenko

Greg Shah wrote:

BUTTON implicit/auto-resize size is incorrect - can Eugenie take this part of the #2742 ?

 

Yes. Eugenie, please take this.

 

OK. Confirm issue with button sizing.
https://proj.goldencode.com/issues/2742
https://proj.goldencode.com/issues/2742
https://proj.goldencode.com/issues/2742


#12 - 10/19/2015 07:07 AM - Constantin Asofiei

- % Done changed from 0 to 100

1811s rev 10988 fixes last two issues for this task (1 and 2 from note 9).

#13 - 10/19/2015 08:40 AM - Greg Shah

- Status changed from WIP to Closed

- Target version set to Milestone 12

#14 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
